SAS_PHY_ALLOC(9)

NAME
sas_phy_alloc - allocates and initialize a SAS PHY structure

SYNOPSIS

struct sas_phy * sas_phy_alloc(struct device * parent, int number);

ARGUMENTS

parent
    Parent device

number
    Phy index

DESCRIPTION

Allocates an SAS PHY structure. It will be added in the device tree below the device specified by parent, which has to be either a Scsi_Host or sas_rphy.

RETURNS

SAS PHY allocated or NULL if the allocation failed.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT